## freerdp 3.17.1+dfsg

=== debian/changelog ===
freerdp (3.17.1+dfsg-1+exp1) experimental; urgency=medium

  * package rename.  We had freerdp, freerdp2, freerdp3, - due to big rewrite
    upstream from 1.x to 2.x which was going in parallel with 1.x, and it was
    unclear when 2.x will be ready.  Next, during 2.x to 3.x, it was a steady
    update, which stayed compatible with 2.x series.  But the project itself
    is named "freerdp" without any version suffix.  And we had no upgrade path
    from bookworm (which has freerdp2 only) to trixie (freerdp3 only).  There's
    no actual reason to carry the suffix, at least not anymore.  Let's name it
    "freerdp" without any suffix, and provide compatibility end-user packages
    with compatibility naming.
  * rename source package from freerdp3 to freerdp
  * rename end-user binary packages: freerdp3-x11, freerdp3-sdl,
    freerdp3-wayland, freerdp3-proxy, freerdp3-proxy-modules, winpr3-utils
    to drop the "3" version suffix from both the name of the package and
    the name of the binary.  Provide transitional packages with old names,
    containing symlinks to new binaries
  * rename library packages to drop double-3 (3-3) names from both package
    and library names inside (libfreerdp3-3 => libfreerdp3), providing old
    naming inside.  When upgrading, these should be replaced automatically
    when any package depending on these libraries is installed

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 01 Sep 2025 23:30:07 +0300

freerdp3 (3.17.1+dfsg-1) unstable; urgency=medium

  * new upstream release
  * d/watch: use pub.freerdp.com/releases/ as the base URL for upstream
    tarballs, not the github autogenerated tarballs
  * add upstream gpg signing key
  * d/freerdp3-proxy-modules.install: accomodate for modules rename,
    and use ${DEB_HOST_MULTIARCH}
  * d/rules: link /usr/share/doc/* for all packages to libwinpr3-3,
    since all packages depends on exact same version of it

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 01 Sep 2025 12:04:40 +0300

freerdp3 (3.17.0+dfsg-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream release
  * d/patches/*: remove
  * d/libfreerdp-client3-3.symbols,d/libwinpr3-3.symbols: add new symbols

  [ Bernhard Miklautz ]
  * d/copyright: regenerate and update copyright

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 22 Aug 2025 12:02:00 +0300

freerdp3 (3.16.0+dfsg-2) unstable; urgency=medium

  * common-settings-fix-int-casts.patch (fix test failure on BE hosts)
  * 4 more fixes from upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Jul 2025 10:05:25 +0300

freerdp3 (3.16.0+dfsg-1) unstable; urgency=medium

  * new upstream bugfix release with (again) much improved SDL3 and X11 client
  * d/patches/: remove all patches (all were taken from upstream)
  * d/lib*.symbols: add new symbols

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Jun 2025 17:01:08 +0300

freerdp3 (3.15.0+dfsg-2) unstable; urgency=medium

  [ Bernhard Miklautz ]
  * d/copyright: regenerate and update copyright
  * d/control: use libjson-c instead of libcjson
  * d/rules: enable AAD support on Ubuntu

  [ Michael Tokarev ]
  * pick numerous fixes from upstream:
    client-sdl-force-primary-monitor-in-windowed-mode.patch
    client-sdl-only-draw-to-window-if-connected.patch
    core-settings-handle-empty-OrderSupport-and-received.patch
    crypto-certificate-Add-a-fallback-for-weak-RSA-keys.patch
    rdpei-server-Fix-incorrect-PDU-length-read.patch
    cmake-json-improve-json-detection.patch
    client-sdl-fix-SDL-ttf-usage.patch
    cache-glyph-fix-GLYPH_FRAGMENT_USE.patch
    winpr-sysinfo-use-a-single-clock-to-provide-System-a.patch
    fix-resources-remove-MimeType-from-desktop-file.patch
    gcc-fix-server-side-connection-with-multiple-monitor.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 24 Apr 2025 12:18:41 +0300

freerdp3 (3.15.0+dfsg-1) unstable; urgency=medium

  [ Bernhard Miklautz ]
  * d/copyright:
     - fix lintian warning "old-fsf-address-in-copyright-file"
     - update files
  * d/control:
     - remove Multi-Arch: same field (for bin:pkg libwinpr3-dev)
       (Closes: #1101910)
     - drop unused build dependency to docbook-xsl

  [ Michael Tokarev ]
  * new upstream version (3.15.0)
  * install .desktop files and FreeRDP.svg icon

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 14 Apr 2025 18:35:14 +0300

freerdp3 (3.14.1+dfsg-2) unstable; urgency=medium

  * d/rules: enable CHANNEL_RDPECAM_CLIENT (it is not enabled implicitly)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 29 Mar 2025 09:14:17 +0300

freerdp3 (3.14.1+dfsg-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream (minor) release, fixing a number of issues
  * d/control: Standards-Version: 4.7.2 (no changes needed)
  * d/control: add comment about libcairo usage
  * d/control: add ubuntu-related comment about libavcodec-dev &Co

  [ Simon Quigley ]
  * Disable CHANNEL_RDPECAM_CLIENT on Ubuntu, since ubuntu disables FFMPEG
    (Closes: #1098643)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 25 Mar 2025 21:23:12 +0300

freerdp3 (3.14.0+dfsg-1) unstable; urgency=medium

  * new upstream release
  * d/libfreerdp3-3.symbols: add new symbol
  * d/rules: enable regular BUILD_TESTING and stop
    stripping build paths from shipped .h files
  * d/rules: remove --fail-missing override: it is the default now
  * d/rules: drop another now-unneeded override
    (to remove static libs which are not installed anymore)
  * d/rules: remove get-orig-source-target (-lintian)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 13 Mar 2025 12:11:55 +0300

freerdp3 (3.13.0+dfsg-1) unstable; urgency=medium

  * new upstream release
  * remove all patches which are now applied upstream
  * d/libwinpr3-3.symbols, d/libfreerdp3-3.symbols: add new symbols
  * d/rules: enable CHANNEL_RDPEAR (with kerberos)
  * d/control, d/rules: switch to using libsdl3, but keep sdl2
    as a build profile (pkg.freerdp3.sdl2)
  * d/copyright: remove LICENSE file from file list
  * d/control: add myself to uploaders


