## freerdp 3.20.2+dfsg

=== debian/changelog ===
freerdp (3.20.2+dfsg-1+exp1) experimental; urgency=medium

  * package rename.  We had freerdp, freerdp2, freerdp3, - due to big rewrite
    upstream from 1.x to 2.x which was going in parallel with 1.x, and it was
    unclear when 2.x will be ready.  Next, during 2.x to 3.x, it was a steady
    update, which stayed compatible with 2.x series.  But the project itself
    is named "freerdp" without any version suffix.  And we had no upgrade path
    from bookworm (which has freerdp2 only) to trixie (freerdp3 only).  There's
    no actual reason to carry the suffix, at least not anymore.  Let's name it
    "freerdp" without any suffix, and provide compatibility end-user packages
    with compatibility naming.
  * rename source package from freerdp3 to freerdp
  * rename end-user binary packages: freerdp3-x11, freerdp3-sdl,
    freerdp3-wayland, freerdp3-proxy, freerdp3-proxy-modules, winpr3-utils
    to drop the "3" version suffix from both the name of the package and
    the name of the binary.  Provide transitional packages with old names,
    containing symlinks to new binaries
  * rename library packages to drop double-3 (3-3) names from both package
    and library names inside (libfreerdp3-3 => libfreerdp3), providing old
    naming inside.  When upgrading, these should be replaced automatically
    when any package depending on these libraries is installed
  * re-do the packaging 4 months later (first attempt was on Sep-01, still
    waiting in the NEW queue)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jan 2026 16:47:31 +0300

freerdp3 (3.20.2+dfsg-1) unstable; urgency=medium

  * new upstream release, with multiple security fixes for:
    CVE-2026-22851: RDPGFX ResetGraphics race leads to use after free
      in SDL client (sdl->primary)
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-8g87-6pvc-wh99
    CVE-2026-22852: Heap buffer overflow in audin_process_formats
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-9chc-g79v-4qq4
    CVE-2026-22853: Heap-buffer-overflow in ndr_read_uint8Array
     https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-47v9-p4gp-w5ch
    CVE-2026-22854: Heap buffer overflow in drive_process_irp_read
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-47vj-g3c3-3rmf
    CVE-2026-22855: Heap buffer overflow in smartcard_unpack_set_attrib_call
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-rwp3-g84r-6mx9
    CVE-2026-22856: Heap use after free in create_irp_thread
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-w842-c386-fxhv
    CVE-2026-22857: Heap use after free in irp_thread_func
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-4gxq-jhq6-4cr8
    CVE-2026-22858 Global buffer overflow in crypto_base64_decode
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-qmqf-m84q-x896
    CVE-2026-22859: Heap buffer overflow in urb_select_configuration
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-56f5-76qv-2r36

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jan 2026 16:36:18 +0300

freerdp3 (3.20.0+dfsg-1) unstable; urgency=medium

  * new upstream release

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 18 Dec 2025 07:55:19 +0300

freerdp3 (3.19.1+dfsg-1) unstable; urgency=medium

  * new upstream release

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 12 Dec 2025 15:54:04 +0300

freerdp3 (3.19.0+dfsg-1) unstable; urgency=medium

  * new upstream release
  * d/copyright: remove .github from Files-Excluded
    (not shipped in tarball anymore)
  * remove patches
  * d/libfreerdp3-3.symbols: add new symbol

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 05 Dec 2025 16:35:16 +0300

freerdp3 (3.18.0+dfsg-1) unstable; urgency=medium

  * new upstream release
  * removed all patches
  * d/libfreerdp3-3.symbols,d/libwinpr3-3.symbols add new symbols
  * +client-common-fix-retry-counter.patch (upstream patch)
  * d/copyright: remove removed file

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 15 Nov 2025 02:57:23 +0300

freerdp3 (3.17.2+dfsg-3) unstable; urgency=medium

  * cmake-pkg-config-properly-set-requires-fields.patch
  * codec-planar-fix-datatypes-in-plane-encode.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 23 Sep 2025 11:50:02 +0300

freerdp3 (3.17.2+dfsg-2) unstable; urgency=medium

  * winpr-path-fix-endianness-issues.patch: fix tests failure on various
    architectures
  * core-arm-extract-redirected-username.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 20 Sep 2025 00:54:08 +0300

freerdp3 (3.17.2+dfsg-1) unstable; urgency=medium

  * new upstream release
  * d/rules: build rdp2tcp channels (Closes: #1106607)
  * remove drop-TestFileFindFirstFile.diff

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 19 Sep 2025 22:14:07 +0300

freerdp3 (3.17.1+dfsg-2) unstable; urgency=medium

  * d/control: add explicit versioned deps on libwinpr3 for freerdp-dev and
    freerdp-wayland (to ensure the right library is used, and for doc links)
  * d/lib*.install: s|/usr/lib/*/|/usr/lib/${DEB_HOST_MULTIARCH}/|
  * d/*-dev.install: reduce/fixup
  * d/rules: stop running dh* in verbose mode
  * drop TestFileFindFirstFile test for now (falis on s390x ppc & sparc64)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 06 Sep 2025 11:11:19 +0300
