=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libopus-dev,
  libpam0g-dev,
  libpcsclite-dev,
- libpkcs11-helper1-dev,
  libpng-dev,
  libpulse-dev,
  libsdl2-dev <pkg.freerdp.sdl2>,
