=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
     -DWITH_PCSC=ON \
     -DWITH_JPEG=ON \
     -DWITH_KERBEROS=ON \
+    -DCHANNEL_RDP2TCP=ON -DCHANNEL_RDP2TCP_CLIENT=ON \
     -DCHANNEL_RDPEAR=ON -DCHANNEL_RDPEAR_CLIENT=ON \
     -DWITH_CLANG_FORMAT=OFF \
     -DWITH_OPUS=ON \
