## freerdp 3.22.0+dfsg

=== debian/changelog ===
freerdp (3.22.0+dfsg-2) unstable; urgency=medium

  * package rename.  We had freerdp, freerdp2, freerdp3, - due to big rewrite
    upstream from 1.x to 2.x which was going in parallel with 1.x, and it was
    unclear when 2.x will be ready.  Next, during 2.x to 3.x, it was a steady
    update, which stayed compatible with 2.x series.  But the project itself
    is named "freerdp" without any version suffix.  And we had no upgrade path
    from bookworm (which has freerdp2 only) to trixie (freerdp3 only).  There's
    no actual reason to carry the suffix, at least not anymore.  Let's name it
    "freerdp" without any suffix, and provide compatibility end-user packages
    with compatibility naming.  Rename source package from freerdp3 to freerdp
  * rename end-user binary packages: freerdp3-x11, freerdp3-sdl,
    freerdp3-wayland, freerdp3-proxy, freerdp3-proxy-modules, winpr3-utils
    to drop the "3" version suffix from both the name of the package and
    the name of the binary.  Provide transitional packages with old names,
    containing symlinks to new binaries
  * update CVE references in the previous changelog entry

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 10 Feb 2026 12:24:09 +0300

freerdp3 (3.22.0+dfsg-1) unstable; urgency=medium

  * new upstream major bugfix release, with overhaul of SDL3 client and
    multiple security fixes for the following client-side vulnerabilities:
    CVE-2026-23948 NULL Pointer Dereference in rdp_write_logon_info_v2()
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-6f3c-qvqq-2px5
    CVE-2026-24491 Heap-use-after-free in video_timer
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-4x6j-w49r-869g
    CVE-2026-24675 Heap-use-after-free in urb_select_interface
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-x9jr-99h2-g7mj
    CVE-2026-24676 Heap-use-after-free in audio_format_compatible
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-qh5p-frq4-pgxj
    CVE-2026-24677 Heap-buffer-overflow in ecam_encoder_compress_h264
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-xw37-j744-f8v7
    CVE-2026-24678 Heap-use-after-free in cam_v4l_stream_capture_thread
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-6gvg-29wx-6v7h
    CVE-2026-24679 Heap-buffer-overflow in urb_select_interface
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-2jp4-67x6-gv7x
    CVE-2026-24680 Heap-use-after-free in update_pointer_new(SDL)
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-j893-9wg8-33rc
    CVE-2026-24681 Heap-use-after-free in urb_bulk_transfer_cb
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-ccvv-hg2w-6x9j
    CVE-2026-24682 Heap-buffer-overflow in audio_formats_free
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-vcw2-pqgw-mx6g
    CVE-2026-24683 Heap-use-after-free in ainput_send_input_event
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-45pf-68pj-fg8q
    CVE-2026-24684 Heap-use-after-free in play_thread
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-vcgv-xgjp-h83q
  * update libfreerdp symbols file (add new symbols)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Jan 2026 11:22:26 +0300

freerdp3 (3.21.0+dfsg-1) unstable; urgency=medium

  * new upstream release, with multiple security fixes for the following
    client-side vulnerabilities (medium):
    CVE-2026-23530: Heap buffer overflow in planar_decompress_plane_rle
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-r4hv-852m-fq7p
    CVE-2026-23531: Heap buffer overflow in clear_decompress
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-xj5h-9cr5-23c5
    CVE-2026-23532: Heap buffer overflow in gdi_SurfaceToSurface
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-fq8c-87hj-7gvr
    CVE-2026-23533: Heap buffer overflow in clear_decompress_residual_data
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-32q9-m5qr-9j2v
    CVE-2026-23534: Heap buffer overflow in clear_decompress_bands_data
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-3frr-mp8w-4599
    CVE-2026-23732: Heap buffer overflow in Glyph_Alloc
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-7qxp-j2fj-c3pp
    CVE-2026-23883: Heap use after free in update_pointer_new
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-qcrr-85qx-4p6x
    CVE-2026-23884: Heap use after free in gdi_set_bounds
      https://github.com/FreeRDP/FreeRDP/security/advisories/GHSA-cfgj-vc84-f3pp
  * d/libfreerdp3-3.symbols: add 3 new symbols

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 19 Jan 2026 22:46:38 +0300
