=== debian/control ===
--- 
+++ 
@@ -71,7 +71,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfreerdp-client3 (= ${binary:Version}),
+ libfreerdp-client3-3 (= ${binary:Version}),
 Provides:
  freerdp,
 Description: RDP client for Windows Terminal Services (X11 client)
@@ -91,16 +91,13 @@
  This package provides compatibility links for transition from freerdp3-x11
  (xfreerdp3 binary) to freerdp-x11 (xfreerdp binary).
 
-Package: libfreerdp3
-Architecture: any
-Section: libs
-Provides: libfreerdp3-3 (= ${binary:Version})
-Replaces: libfreerdp3-3
-Breaks: libfreerdp3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libwinpr3 (= ${binary:Version}),
+Package: libfreerdp3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libwinpr3-3 (= ${binary:Version}),
 Multi-Arch: same
 Suggests:
  freerdp-x11,
@@ -110,16 +107,13 @@
  .
  This package contains the shared library with all core functionality.
 
-Package: libfreerdp-client3
-Architecture: any
-Section: libs
-Provides: libfreerdp-client3-3 (= ${binary:Version})
-Replaces: libfreerdp-client3-3
-Breaks: libfreerdp-client3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfreerdp3 (= ${binary:Version}),
+Package: libfreerdp-client3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: Free Remote Desktop Protocol library (client library)
  FreeRDP is a libre client/server implementation of the Remote
@@ -127,16 +121,13 @@
  .
  This package contains the shared library for common client functionality.
 
-Package: libfreerdp-server3
-Architecture: any
-Section: libs
-Provides: libfreerdp-server3-3 (= ${binary:Version})
-Replaces: libfreerdp-server3-3
-Breaks: libfreerdp-server3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfreerdp3 (= ${binary:Version}),
+Package: libfreerdp-server3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: Free Remote Desktop Protocol library (server library)
  FreeRDP is a libre client/server implementation of the Remote
@@ -144,12 +135,9 @@
  .
  This package contains the shared library with common server functionality.
 
-Package: libwinpr3
-Architecture: any
-Section: libs
-Provides: libwinpr3-3 (= ${binary:Version})
-Replaces: libwinpr3-3
-Breaks: libwinpr3-3
+Package: libwinpr3-3
+Architecture: any
+Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -168,16 +156,13 @@
  .
  This package contains the WinPR shared library.
 
-Package: libwinpr-tools3
-Architecture: any
-Section: libs
-Provides: libwinpr-tools3-3 (= ${binary:Version})
-Replaces: libwinpr-tools3-3
-Breaks: libwinpr-tools3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libwinpr3 (= ${binary:Version}),
+Package: libwinpr-tools3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libwinpr3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: Windows Portable Runtime Tools library
  FreeRDP is a libre client/server implementation of the Remote
@@ -192,8 +177,8 @@
 Depends:
  libssl-dev,
  libjson-c-dev,
- libwinpr-tools3 (= ${binary:Version}),
- libwinpr3 (= ${binary:Version}),
+ libwinpr-tools3-3 (= ${binary:Version}),
+ libwinpr3-3 (= ${binary:Version}),
  ${misc:Depends},
 Description: Windows Portable Runtime library (development files)
  WinPR is a spin-off project of FreeRDP which aims at providing a portable
@@ -211,14 +196,14 @@
 Section: devel
 Architecture: any
 Depends:
- libfreerdp-server-proxy3 (= ${binary:Version}),
- libfreerdp-client3 (= ${binary:Version}),
- libfreerdp-server3 (= ${binary:Version}),
- libfreerdp-shadow-subsystem3 (= ${binary:Version}),
- libfreerdp-shadow3 (= ${binary:Version}),
- libfreerdp3 (= ${binary:Version}),
+ libfreerdp-server-proxy3-3 (= ${binary:Version}),
+ libfreerdp-client3-3 (= ${binary:Version}),
+ libfreerdp-server3-3 (= ${binary:Version}),
+ libfreerdp-shadow-subsystem3-3 (= ${binary:Version}),
+ libfreerdp-shadow3-3 (= ${binary:Version}),
+ libfreerdp3-3 (= ${binary:Version}),
  libwinpr3-dev (= ${binary:Version}),
- libwinpr3 (= ${binary:Version}),
+ libwinpr3-3 (= ${binary:Version}),
  libfuse3-dev,
  winpr-utils (= ${binary:Version}),
  ${misc:Depends},
@@ -235,7 +220,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libwinpr-tools3 (= ${binary:Version}),
+ libwinpr-tools3-3 (= ${binary:Version}),
 Description: Windows Portable Runtime library command line utilities
  WinPR is a spin-off project of FreeRDP which aims at providing a portable
  implementation of important portions of the Windows API. Just like FreeRDP,
@@ -256,17 +241,14 @@
  This package provides compatibility links for transition from winpr3-utils
  to winpr-utils.
 
-Package: libfreerdp-shadow3
-Architecture: any
-Provides: libfreerdp-shadow3-3 (= ${binary:Version})
-Replaces: libfreerdp-shadow3-3
-Breaks: libfreerdp-shadow3-3
-Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfreerdp-server3 (= ${binary:Version}),
- libwinpr-tools3 (= ${binary:Version}),
+Package: libfreerdp-shadow3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp-server3-3 (= ${binary:Version}),
+ libwinpr-tools3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: FreeRDP Remote Desktop Protocol shadow libraries
  FreeRDP is a libre client/server implementation of the Remote
@@ -274,16 +256,13 @@
  .
  This package contains the shadow libraries.
 
-Package: libfreerdp-shadow-subsystem3
-Architecture: any
-Section: libs
-Provides: libfreerdp-shadow-subsystem3-3 (= ${binary:Version})
-Replaces: libfreerdp-shadow-subsystem3-3
-Breaks: libfreerdp-shadow-subsystem3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfreerdp-shadow3 (= ${binary:Version}),
+Package: libfreerdp-shadow-subsystem3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp-shadow3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: FreeRDP Remote Desktop Protocol shadow subsystem libraries
  FreeRDP is a libre client/server implementation of the Remote
@@ -296,7 +275,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfreerdp-shadow-subsystem3 (= ${binary:Version}),
+ libfreerdp-shadow-subsystem3-3 (= ${binary:Version}),
 Provides:
  freerdp,
 Description: FreeRDP x11 shadowing server
@@ -323,8 +302,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfreerdp-client3 (= ${binary:Version}),
- libwinpr3 (= ${binary:Version}),
+ libfreerdp-client3-3 (= ${binary:Version}),
+ libwinpr3-3 (= ${binary:Version}),
 Description: RDP client for Windows Terminal Services (wayland client)
  FreeRDP is a libre client/server implementation of the Remote
  Desktop Protocol (RDP).
@@ -347,7 +326,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfreerdp-client3 (= ${binary:Version}),
+ libfreerdp-client3-3 (= ${binary:Version}),
 Description: RDP client for Windows Terminal Services (SDL client)
  FreeRDP is a libre client/server implementation of the Remote
  Desktop Protocol (RDP).
@@ -365,20 +344,46 @@
  This package provides compatibility links for transition from freerdp3-sdl
  (sdl-freerdp3 binary) to freerdp-sdl (sdl-freerdp binary).
 
-Package: libfreerdp-server-proxy3
-Architecture: any
-Section: libs
-Provides: libfreerdp-server-proxy3-3 (= ${binary:Version})
-Replaces: libfreerdp-server-proxy3-3
-Breaks: libfreerdp-server-proxy3-3
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfreerdp3 (= ${binary:Version}),
- libfreerdp-client3 (= ${binary:Version}),
- libwinpr3 (= ${binary:Version}),
+Package: libfreerdp-server-proxy3-3
+Architecture: any
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp3-3 (= ${binary:Version}),
+ libfreerdp-client3-3 (= ${binary:Version}),
+ libwinpr3-3 (= ${binary:Version}),
 Multi-Arch: same
 Description: Free Remote Desktop Protocol library (proxy library)
  FreeRDP is a libre client/server implementation of the Remote
  Desktop Protocol (RDP).
  .
+ This package contains the shared library for proxying RDP connections.
+
+Package: freerdp-proxy-modules
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp-server-proxy3-3 (= ${binary:Version}),
+Description: FreeRDP Remote Desktop Protocol proxy module libraries
+ FreeRDP is a libre client/server implementation of the Remote
+ Desktop Protocol (RDP).
+ .
+ This package contains the modules for the proxy.
+
+Package: freerdp-proxy
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfreerdp-server-proxy3-3 (= ${binary:Version}),
+ libfreerdp3-3 (= ${binary:Version}),
+ libwinpr3-3 (= ${binary:Version}),
+Suggests:
+ freerdp-proxy-modules,
+Description: FreeRDP proxy server
+ FreeRDP is a libre client/server implementation of the Remote
+ Desktop Protocol (RDP).
+ .
+ This package contains the proxy server that can be used
