=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.asc/,\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg" \
https://pub.freerdp.com/releases/ freerdp-@ANY_VERSION@.tar.xz
